zookeeper-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jordan Zimmerman <jor...@jordanzimmerman.com>
Subject Re: Upgrading an ensemble from 3.3.5 to 3.4.4
Date Tue, 02 Oct 2012 15:29:22 GMT
What about on the server side? During the upgrade period there will be a mix of 3.3.5 and 3.4.4
servers in the ensemble.

On Oct 1, 2012, at 5:47 PM, Patrick Hunt <phunt@apache.org> wrote:

> On Mon, Oct 1, 2012 at 10:58 AM, Jordan Zimmerman
> <jordan@jordanzimmerman.com> wrote:
>> I'd like to upgrade our ensemble from 3.3.5 to 3.4.4. Can it be done in-place/rolling?
i.e. will 3.3.5 and 3.4.4 work in the same ensemble?
>> 
> 
> 3.3 clients should work fine with 3.4 servers. 3.4 clients should work
> fine with 3.3 servers as long as you don't use any of the new features
> introduced in 3.4 client api (multi, etc...). That said some testing
> has been done on this, but not extensive.
> 
> Patrick


Mime
View raw message